Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class LongMath

- org.codehaus.groovy.runtime.typehandling.LongMath

-     public final class LongMath
      extends NumberMath

  Long NumberMath operations

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static LongMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Number` | `absImpl(Number number)`
    `` | `public Number` | `addImpl(Number left, Number right)`
    `` | `protected Number` | `andImpl(Number left, Number right)`
    `` | `protected Number` | `bitAndImpl(Number left, Number right)`
    `` | `protected Number` | `bitwiseNegateImpl(Number left)`
    `` | `public int` | `compareToImpl(Number left, Number right)`
    `` | `public Number` | `divideImpl(Number left, Number right)`
    `` | `protected Number` | `intdivImpl(Number left, Number right)`
    `` | `protected Number` | `leftShiftImpl(Number left, Number right)`
    `` | `protected Number` | `modImpl(Number left, Number right)`
    `` | `public Number` | `multiplyImpl(Number left, Number right)`
    `` | `protected Number` | `orImpl(Number left, Number right)`
    `` | `protected Number` | `rightShiftImpl(Number left, Number right)`
    `` | `protected Number` | `rightShiftUnsignedImpl(Number left, Number right)`
    `` | `public Number` | `subtractImpl(Number left, Number right)`
    `` | `protected Number` | `unaryMinusImpl(Number left)`
    `` | `protected Number` | `unaryPlusImpl(Number left)`
    `` | `protected Number` | `xorImpl(Number left, Number right)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberMath` | `abs, absImpl, add, addImpl, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, unaryPlus, unaryPlusImpl, xor, xorImpl`

- - ### Field Detail

    - #### public static final LongMath INSTANCE

  - ### Method Detail

    - #### @Override
      protected Number absImpl(Number number)

    - #### @Override
      public Number addImpl(Number left, Number right)

    - #### @Override
      protected Number andImpl(Number left, Number right)

    - #### protected Number bitAndImpl(Number left, Number right)

    - #### @Override
      protected Number bitwiseNegateImpl(Number left)

    - #### @Override
      public int compareToImpl(Number left, Number right)

    - #### @Override
      public Number divideImpl(Number left, Number right)

    - #### @Override
      protected Number intdivImpl(Number left, Number right)

    - #### @Override
      protected Number leftShiftImpl(Number left, Number right)

    - #### @Override
      protected Number modImpl(Number left, Number right)

    - #### @Override
      public Number multiplyImpl(Number left, Number right)

    - #### @Override
      protected Number orImpl(Number left, Number right)

    - #### @Override
      protected Number rightShiftImpl(Number left, Number right)

    - #### @Override
      protected Number rightShiftUnsignedImpl(Number left, Number right)

    - #### @Override
      public Number subtractImpl(Number left, Number right)

    - #### @Override
      protected Number unaryMinusImpl(Number left)

    - #### @Override
      protected Number unaryPlusImpl(Number left)

    - #### @Override
      protected Number xorImpl(Number left, Number right)